unit UnitMain;

{$mode objfpc}{$H+}

interface

uses
  Classes, SysUtils, LResources, Forms, Controls, Graphics, Dialogs, DBGrids,
  DbCtrls, ExtCtrls, StdCtrls, UnitDBDataMod, Spin, SynEdit, SynHighlighterSQL;

type

  { TFrmMain }

  TFrmMain = class(TForm)
    Button1: TButton;
    BtnConnect: TButton;
    BtnRun: TButton;
    CBTable: TComboBox;
    CBProtocol: TComboBox;
    DBGTable: TDBGrid;
    DBNavigator1: TDBNavigator;
    EHost: TEdit;
    EAlias: TEdit;
    EUsername: TEdit;
    EPasswort: TEdit;
    GroupBox1: TGroupBox;
    GroupBox2: TGroupBox;
    GroupBox3: TGroupBox;
    Label1: TLabel;
    Label2: TLabel;
    Label3: TLabel;
    Label4: TLabel;
    Label5: TLabel;
    Label6: TLabel;
    Panel1: TPanel;
    SEPort: TSpinEdit;
    SynEdit1: TSynEdit;
    SynSQLSyn1: TSynSQLSyn;
    procedure BtnConnectClick(Sender: TObject);
    procedure BtnRunClick(Sender: TObject);
    procedure Button1Click(Sender: TObject);
    procedure CBTableChange(Sender: TObject);
    procedure FormCreate(Sender: TObject);
  private
    { private declarations }
  public
    { public declarations }
  end; 

var
  FrmMain: TFrmMain;

implementation

{ TFrmMain }

procedure TFrmMain.FormCreate(Sender: TObject);
begin
     DBDataMod := TDBDataMod.Create(nil);
     CBProtocol.Items.Clear;
     DBDataMod.ZConnection1.GetProtocolNames(CBProtocol.Items);
     DBNavigator1.DataSource := DBDataMod.Datasource1;
     DBGTable.DataSource:= DBDataMod.Datasource1;
end;

procedure TFrmMain.Button1Click(Sender: TObject);
begin
  Self.Close;
end;

procedure TFrmMain.CBTableChange(Sender: TObject);
begin
  if CBTable.Caption <> '' then begin
     DBDataMod.ZQuery1.Close;
     DBDataMod.ZQuery1.SQL.Clear;
     DBDataMod.ZQuery1.SQL.Add('Select * From '+CBTable.Caption);
     DBDataMod.ZQuery1.open;
  end;
end;

procedure TFrmMain.BtnConnectClick(Sender: TObject);
begin
  if not DBDataMod.ConnectToDB(EHost.Text,EAlias.Text,EPasswort.Text,EUsername.Text,CBProtocol.Caption,SEPort.Value) then begin
     ShowMessage('Konnte nicht zur Datenbank Verbinden, überpüfen Sie ihre Eingabe!');
  end else begin
     CBTable.items.Clear;
     DBDataMod.ZConnection1.GetTableNames('',CBTable.Items);
     ShowMessage('Die Verbindung wurde hergestellt.');
  end;
end;

procedure TFrmMain.BtnRunClick(Sender: TObject);
begin
   //Einen SQL auf einem TZQuery absetzen
   DBDataMod.ZQuery1.Close;
   DBDataMod.ZQuery1.SQL.Clear;
   DBDataMod.ZQuery1.SQL.Add(SynEdit1.Text);
   DBDataMod.ZQuery1.open;
end;

initialization
  {$I unitmain.lrs}

end.

